Handle type category formatting in compact typification strings
Description

In #6865 a separator was added between collection code and collection number.

For single derived units an according formatting was implemented. As described in #6865#note-11 the formatting strategy used there
is not well applicable for compact type strings that include typification information (e.g. "holotype") and duplicates (e.g. holotype +
isotype) in 1 line.

Therefore we need a different formatting strategy.

Formatting suggestions were made in the early ticket #461. However, none of these examples includes collection code AND
accession number (except for the example by IB in #461#note-13 which uses abbreviated type categories such as ST for syntype
which do not require a trailing colon but are not well accepted by others).

Another suggestion (by FAAC) was to put the type category behind collection code/number separated by comma (#461#note-27).

The problem is partly solved if the main typification (e.g. holotype) is put in front as suggested in in #461#note-6. However, this does
not solve the problem if >1 types are mentioned in the string as e.g. for the syntypes we still need a separator.

Compact type formatting is done in the TypeDesigantionWorkingsetFormatter class. (#9596)

Related issues:

Related to EDIT - feature request #461: Improve / compact display of types In Progress
Related to EDIT - feature request #2506: (Type-) Specimens may need status Closed
Related to EDIT - task #9941: [DISCUSS] Formatting of type designation catego... In Progress
Related to EDIT - feature request #7081: Deduplicate type information in data... New
Related to EDIT - bug #6297: [Overview] BGBM User group wishes 2017 New
Related to EDIT - feature request #9596: Open issues for TypeDesignationWorki... In Progress
Has duplicate EDIT - feature request #9937: Separator for code and accession ... Duplicate
Copied from EDIT - feature request #6865: [DISCUSS] Separator for Code and Ac... Closed

Associated revisions

Revision 8477a650 - 02/23/2024 04:51 PM - Andreas Miiller
ref #461, ref #9940, ref #9941 add precedingMainType and accessionNoType params to type designation formatter

Revision 02411126 - 02/23/2024 06:34 PM - Andreas Miiller
ref #461, ref #9940, ref #9941 allow preceding type status label (and set as default)

History

#1 - 02/15/2022 07:21 PM - Andreas Miiller

copied from #6865:

AM:

ein kleiner Nachtrag hierzu:

das Ticket ist jetzt gefixt und das Ergebnis kommt mit dem nachsten Release. Allerdings gibt es bei der kondensierten Darstellung von Typen noch
Unklarheit.

Also z.B.

Timaviella dunensis Mikhailyuk & O.Vinogr. — Type: Germany, The coast of the Baltic Sea, Usedom Island, vicinity of Zempin, 54°4'17"N,
13°58'4"E, 8 Oct 2013. (holotype: KW KW-A-32531)
Quelle: https://www.phycobank.org/cdm_dataportal/name/71898bd8-1a6¢c-42e7-9838-3a1600299ab9/null/null/

Wenn wir hier hinter das erste KW auch einen Doppelpunkt setzen, sieht das seltsam aus.
Gibt es dafiir Vorschlage, wie man es besser machen kann?
Das ware auch fur die in Zukunft noch zu optimierende Darstellung von Typusbelegen auf den Taxonseiten relevant.

#2 - 02/15/2022 07:22 PM - Andreas Miiller

- Has duplicate feature request #9937: Separator for code and accession number in TypeDesignationWorkingsetFormatter added

#3 - 02/15/2022 07:23 PM - Andreas Miiller
- Related to feature request #461: Improve / compact display of types added

#4 - 02/15/2022 07:23 PM - Andreas Miiller
- Related to feature request #2506: (Type-) Specimens may need status added

#5 - 02/15/2022 07:24 PM - Andreas Miller

- Description updated

#6 - 02/15/2022 07:24 PM - Andreas Miller

- Tags changed from specimen, formatting, type designation to specimen, formatting, type designation, phycobank

#7 - 02/15/2022 07:24 PM - Andreas Miiller
- Copied from feature request #6865: [DISCUSS] Separator for Code and Accession Number added

#8 - 02/15/2022 07:26 PM - Andreas Miuiller
- Copied to bug #6297: [Overview] BGBM User group wishes 2017 added

#9 - 02/15/2022 08:01 PM - Andreas Miiller
- Copied to feature request #9596: Open issues for TypeDesignationWorkingSet added

#10 - 02/15/2022 08:17 PM - Andreas Miiller
- Related to task #9941: [DISCUSS] Formatting of type designation categories in compact type string added

#11 - 02/15/2022 08:27 PM - Andreas Miiller
AM:

Auch wenn wir die spezifische Typuskategorie nach vorne ziehen (#9941) bleibt das Problem fur z.B. Syntypen ja bestehen. Welche Lésung kénntet
ihr euch dafir vorstellen?

Im Appendix IV des Codes (https:/naturalhistory?2.si.edu/botany/codes-proposals/display_new.cfm) gibt es die Ldsung die auch Norbert
vorgeschlagen hat, ndmlich zur Trennung zwischen Collection Code und Accession Number ,barcode” oder ,No.* Zu verwenden. Wirklich schon ist
das m.E. nicht da sehr unruhig, aber zumindest ist es klar. Gibt es andere gangige Lésungen? Wie wére es mit Bis-Strich als Separator nach der
Typuskategorie?

#12 - 02/15/2022 08:37 PM - Andreas Miiller

- Subject changed from Handle type category formatting and collection code<->accession number separation in compact typification strings to Handle
type category formatting in compact typification strings

#13 - 02/15/2022 08:41 PM - Andreas Miiller

- Related to feature request #7081: Deduplicate type information in dataportal if 2 equal types exist added

#14 - 02/15/2022 08:44 PM - Andreas Miiller
- Copied to deleted (bug #6297: [Overview] BGBM User group wishes 2017)

#15 - 02/15/2022 08:44 PM - Andreas Miiller
- Copied to deleted (feature request #9596: Open issues for TypeDesignationWorkingSet)

#16 - 02/15/2022 08:44 PM - Andreas Miiller
- Related to bug #6297: [Overview] BGBM User group wishes 2017 added
- Related to feature request #9596: Open issues for TypeDesignationWorkingSet added
#17 - 02/16/2022 12:22 AM - Andreas Miiller
WHK:

eine Doppelung, wie in dem Beispiel ist nicht sehr haufig. Theoretisch kdnnte man den Herbariumcode in Fett ausgeben, wie das in einigen Journals
gemacht wird, dazu wirde ich aber gerne die Meinung meiner Kolleg:innen héren.

#18 - 01/12/2023 10:56 AM - Andreas Muller

- Assignee changed from Andreas Miiller to Belen Escobari

- Target version changed from Release 5.45 to Release 5.44

#19 - 01/13/2023 12:24 PM - Andreas Miiller

NoK:

all,

| strongly prefer the style with the main typification put in front because this is the least redundant one. Regarding the separator issues | meanwhile
find the solution most agreeable that has been agreed on by the Editors of the Code, consistently used since some years in the Appendages of the
Code, and has been taken over lately also by Willdenowia.

I think it would in fact make some sense to follow a style that is used by an authoritative source as the Code.

Here two examples from https://doi.org/10.3372/wi.52.52103

Holotype: Peru, Amazonas, Prov. Bongara, Dist. Yambrasbamba, Inmediaciones de la Estacién Biologica Abra Patricia, 05°41'32.91”S,
77°48'41.1"W, 2320 m, 19-20 Feb 2020 (fl., fr.), R. Fernandez-Hilario, R. Villanueva & L. Pillaca 1930 (MOL barcode 000006!; isotypes: CUZ!,
HOXA accession no. 077852!, NY barcode 04239398!, UPCB accession no. 99400!).

Holotype: Ecuador, Prov. Tungurahua, Cantén Barios, Parroquia Rio Negro, Sector El Topo, Estacién Cientifica Rio Zufiac, Fundaciéon EcoMinga,
01°22.593'S, 78°09.213'W, 1568 m, 26 May 2018 (fl., fr.), L. Jost, F. Recalde & S. Recalde 10600 (QCNE barcode 243978 [1/2], QCNE barcode
243977 [2/2]; isotype: QCNE barcode 243976)

Applied to a B example this would read:
Holotype: Borneo, Sabah, Sandakan Ramos 1490 (B barcode B 10 0018600 (presumed destroyed); isotypes: L, PNH).

Here an example from the Code Appendage, showing how this style handles more complicated cases (with icons as types and epitypes):

Fucus serra S. G. Gmel., Hist. Fuc.: 150. 1768 (Gelidium serra (S. G. Gmel.) E. Tagkin & M. J. Wynne).

Lectotypus (vide Tagkin & Wynne in Webbia 68: 22. 2013): [icon in] Buxbaum, PI. Min. Cogn. Cent. 2: 1. 8, fig. 3, 1728. Epitypus (vide Taskin &
Wynne in Webbia 68: 22. 2013): France, Pyrenées-Orientales, Banyuls-sur mer, Cap Bear, 29 Aug 1932, Feldmann (MICH).

(cont.):

Link for (stable) URI to digital representation of type specimens:

The specimen URI should be linked through the herbarium code (if no barcode or acc. number etc. available) or the entire expression (exemplified in
blue):

Holotype: Peru, Amazonas, Prov. Bongard, Dist. Yambrasbamba, Inmediaciones de la Estacién Biologica Abra Patricia, 05°41'32.91"”S,

77°48'41.1"W, 2320 m, 19-20 Feb 2020 (fl., fr.), R. Fernandez-Hilario, R. Villanueva & L. Pillaca 1930 (MOL barcode 000006; isotypes: CUZ, HOXA
accession no. 077852, NY barcode 04239398, UPCB accession no. 99400).

#20 - 01/13/2023 12:28 PM - Andreas Miiller

AM

vielen Dank fur die Anmerkungen. Ich habe das auch so in Erinnerung und wir werden versuchen es so zu formatieren.

Wegen den Links: das misste konfigurierbar werden. Grundsatzlich versuchen wir Links im CDM ja eher hinter die entsprechende Information als
Icon zu setzen, statt den Text selber zu verlinken. Da hat man sonst zu viele Links. Zudem ist immer die Frage, ob man direkt auf die externe Quelle

verlinken will oder erst auf die CDM Specimen Page. Da gibt es auch unterschiedliche Anspriche je nach Kontext. Wie gesagt, dass sollte
konfigurierbar werden und ist dann sicherlich das Finetuning nach der Gesamtumstellung.

#21 - 01/13/2023 12:29 PM - Andreas Miiller

By the way, the above notes from NoK are also handled in #9941 which is partly a duplicate for this ticket.

#22 - 03/03/2023 09:31 PM - Andreas Miiller
NoK:

Links als icon, ja stimmt ist besser. (Note by AM: later we discussed and checked on other pages that this is not always true and that icon are often
used additionally to links but not as the only link)

Linkziel: Sollte mindestens konfigurierbar sein. Ich sehe schon 2 unterschiedliche Kontexte fiir Specimens. (1) Aus der Synonymie heraus, wo ich
bereits eine Typus-Specimen-Zitat habe, will ich den Scan sehen und ggf. reinzoomen und nicht noch mal standardméaBig auf eine Specimen-Seite
verwiesen werden (v.a. wenn ich aus dem Link gar nicht sehen kann, ob es dazu Gberhaupt einen Scan gibt!), wo dann im Normalfall nur dasselbe
steht und ich noch einen weitere Klick brauche, um endlich den Scan zu sehen. (2) Aus dem Specimen-Tab heraus, wo ich sofort sehe, ob und
welche Zusatzdaten noch existieren, ist es dagegen unbedingt sinnvoll (erst) auf die Specimen-Page zu kommen.

#23 - 02/14/2024 11:00 PM - Andreas Miiller
- Assignee changed from Belen Escobari to Andreas Miiller

- Target version changed from Release 5.44 to Release 5.43
This is closely related to switching to the new taxon pages. Therefore move it to current milestone.

#24 - 03/13/2024 04:15 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 70
Implemented for new taxon pages.

#25 - 03/13/2024 04:16 PM - Andreas Miiller
- Status changed from Resolved to In Progress

- % Done changed from 70 to 60

... maybe some minor issues are still open
